Unit AV06C_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

function AV06C(var U :Array of Complex; var V :Array of Complex;
                A :Complex; B :Complex; N :Integer): Complex;

implementation

function AV06C(var U :Array of Complex; var V :Array of Complex;
                A :Complex; B :Complex; N :Integer): Complex;
var
I :Integer;
S,S1 :Complex;
label
_1;
begin
{ Result -    AV06C  FORTRANe }
S := Cmplx(0.0,0.0);
for I:=1 to N do
 begin
  S1 := Conjg(V[I-1]);
_1:
  S := AddC(S,MulC(S1,U[I-1]));
 end;
Result := DivC((AddC(A,S)),B);
exit;
end;

end.
